## oxygen 6.2.90

=== debian/changelog ===
oxygen (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Switch kdecorations build dep to libkdecorations3-dev
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:21:52 +0000

oxygen (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:02:10 +0000

oxygen (4:6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:45:31 -0600

oxygen (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:14:48 +0000

oxygen (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Install oxygen plasma theme, moved from plasma-desktoptheme package.
  * Add breaks/replaces on plasma-desktoptheme << 6.1.90~
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:58:02 +0000

oxygen (4:6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:07:20 +0100

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.25~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkdecorations3-dev (>= 4:6.2.90~),
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6completion-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6style-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libplasma-dev (>= 6.2.90~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-base-private-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/oxygen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
Rules-Requires-Root: no

Package: kde-style-oxygen-qt5
Architecture: any
Breaks: plasma-desktop-data (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 5 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kde-style-oxygen-qt6
Architecture: any
Breaks: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Replaces: kde-style-oxygen-qt5 (<< 4:6.1.0~), plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: liboxygenstyleconfig5-5,
Replaces: liboxygenstyleconfig5-5,
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyle6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt6 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-desktoptheme (<< 6.1.90~),
Replaces: plasma-desktoptheme (<< 6.1.90~),
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.

## oxygen 6.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)
project(oxygen)
set(PROJECT_VERSION "6.3.0")
set(PROJECT_VERSION_MAJOR 6)

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

################# Qt/KDE #################
set(PROJECT_DEP_VERSION "6.3.0")
set(QT5_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

option(BUILD_QT5 "Build Qt5 style" ON)
option(BUILD_QT6 "Build with Qt6" ON)

# For KDE CI only. As the current infrastructure doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

include(ECMInstallIcons)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    DESCRIPTION "X protocol C-language Binding"
    URL "http://xcb.freedesktop.org"
    TYPE OPTIONAL
    PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

if(NOT APPLE)
    set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
endif()

if(BUILD_QT5)
block(SCOPE_FOR VARIABLES)
    set(QT_MAJOR_VERSION 5)
    unset(QUERY_EXECUTABLE CACHE)

    include(KDEInstallDirs5)
    include (KDECMakeSettings)

    find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
    find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    GuiAddons
    WidgetsAddons
    Service
    Completion
    FrameworkIntegration
    WindowSystem)

    if(OXYGEN_HAVE_X11)
        find_package(Qt5X11Extras ${QT5_MIN_VERSION} REQUIRED CONFIG)
    endif()


    add_subdirectory(liboxygen liboxygen5)
    add_subdirectory(kstyle kstyle5)
endblock()
endif()

if(BUILD_QT6)
block(SCOPE_FOR VARIABLES)
    set(QT_MAJOR_VERSION 6)
    unset(QUERY_EXECUTABLE CACHE)

    include(KDEInstallDirs6)
    include (KDECMakeSettings)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Config
    CoreAddons
    GuiAddons
    KCMUtils
    WidgetsAddons
    Service
    Completion
    FrameworkIntegration
    WindowSystem)
    find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Core ALIAS Qt6::Core)
    add_library(Qt::Gui ALIAS Qt6::Gui)
    add_library(Qt::OpenGL ALIAS Qt6::OpenGL)
    add_library(Qt::Network ALIAS Qt6::Network)
    if(Qt6_VERSION_MINOR GREATER 6)
        add_library(Qt::PlatformModuleInternal ALIAS Qt6::PlatformModuleInternal)
    endif()

    add_subdirectory(liboxygen liboxygen6)
    add_subdirectory(kstyle kstyle6)

    add_subdirectory(color-schemes)
    add_subdirectory(cursors)
    add_subdirectory(desktoptheme)
    add_subdirectory(kdecoration)

    plasma_install_package(lookandfeel org.kde.oxygen look-and-feel lookandfeel)

    ki18n_install(po)
endblock()
endif()

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
oxygen (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:27 +0100

oxygen (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:56 +0100

oxygen (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from the build log.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: oxygen
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.25~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.10.0~),
+               cmake (>= 3.25~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkdecorations3-dev (>= 4:6.2.90~),
+               libkdecorations3-dev,
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -23,7 +22,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf6completion-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
+               libkf6configwidgets-dev,
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6guiaddons-dev (>= 6.10.0~),
                libkf6i18n-dev (>= 6.10.0~),
@@ -32,21 +31,21 @@
                libkf6style-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.2.90~),
+               libplasma-dev (>= 6.3.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-base-private-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/oxygen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
 Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5
@@ -72,6 +71,7 @@
 Package: kwin-decoration-oxygen
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: libkf6kcmutils-bin,
 Multi-Arch: same
 Description: KWin decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
@@ -131,9 +131,8 @@
          oxygen-sounds,
          qml6-module-qtquick,
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: plasma-desktoptheme (<< 6.1.90~),
-Replaces: plasma-desktoptheme (<< 6.1.90~),
+Breaks: plasma-framework (<< 5.115.0-6~),
+Replaces: plasma-framework (<< 5.115.0-6~),
 Description: Look-and-feel for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .

## oxygen 6.3.2

=== debian/changelog ===
oxygen (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:54:03 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkf6style-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,

## oxygen 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.25)
 project(oxygen)
-set(PROJECT_VERSION "6.3.0")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 include(GenerateExportHeader)
@@ -8,7 +8,7 @@
 include(FeatureSummary)
 
 ################# Qt/KDE #################
-set(PROJECT_DEP_VERSION "6.3.0")
+set(PROJECT_DEP_VERSION "6.3.4")
 set(QT5_MIN_VERSION "5.15.2")
 set(KF5_MIN_VERSION "5.102.0")
 set(QT_MIN_VERSION "6.7.0")

=== debian/changelog ===
oxygen (4:6.3.4-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update kde-style-oxygen-qt6.install according to the newer kpackage, which
    does not generate appstream metainfo files for packages anymore.
    (Closes: #1117358)
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 09:16:29 +0200

oxygen (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:28 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkf6style-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.2~),
+               libplasma-dev (>= 6.3.4~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
@@ -42,11 +42,10 @@
                qt6-declarative-dev (>= 6.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/oxygen
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
-Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5
 Architecture: any

## oxygen 6.3.5

=== debian/changelog ===
oxygen (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:34:47 +0100

oxygen (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:56:42 +0100

oxygen (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:11 -0500

oxygen (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:21:18 +0000

oxygen (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0 and Plasma 6.3.2
    - Breaks/Replaces for Ubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Mar 2025 08:15:45 +0000

oxygen (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:16:58 +0000

oxygen (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:23:58 +0000

oxygen (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:56:08 +0000

oxygen (4:6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:11:45 -0600

oxygen (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:42:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: oxygen
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.25~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.25~),
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkdecorations3-dev,
+               libkdecorations3-dev (>= 4:6.3.5~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -22,7 +23,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf6completion-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev,
+               libkf6configwidgets-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6guiaddons-dev (>= 6.10.0~),
                libkf6i18n-dev (>= 6.10.0~),
@@ -31,7 +32,7 @@
                libkf6style-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.4~),
+               libplasma-dev (>= 6.3.5~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
@@ -42,10 +43,11 @@
                qt6-declarative-dev (>= 6.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/oxygen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5
 Architecture: any
@@ -130,8 +132,8 @@
          oxygen-sounds,
          qml6-module-qtquick,
          ${misc:Depends},
-Breaks: plasma-framework (<< 5.115.0-6~),
-Replaces: plasma-framework (<< 5.115.0-6~),
+Breaks: plasma-desktoptheme (<< 6.1.90~),
+Replaces: plasma-desktoptheme (<< 6.1.90~),
 Description: Look-and-feel for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .

## oxygen 6.4.4

=== debian/changelog ===
oxygen (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:29:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkdecorations3-dev (>= 4:6.3.5~),
+               libkdecorations3-dev (>= 4:6.4.4~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -21,26 +21,26 @@
                libkf5style-dev (>= 5.102.0~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
-               libkf6completion-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6kcmutils-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkf6style-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.5~),
+               libkf6completion-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6configwidgets-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6guiaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6kcmutils-dev (>= 6.14.0~),
+               libkf6service-dev (>= 6.14.0~),
+               libkf6style-dev (>= 6.14.0~),
+               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkf6windowsystem-dev (>= 6.14.0~),
+               libplasma-dev (>= 6.4.4~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0

## oxygen 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.25)
 project(oxygen)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 include(GenerateExportHeader)
@@ -8,11 +8,11 @@
 include(FeatureSummary)
 
 ################# Qt/KDE #################
-set(PROJECT_DEP_VERSION "6.3.4")
+set(PROJECT_DEP_VERSION "6.4.5")
 set(QT5_MIN_VERSION "5.15.2")
 set(KF5_MIN_VERSION "5.102.0")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
@@ -92,6 +92,11 @@
     include(KDEInstallDirs6)
     include (KDECMakeSettings)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets DBus Quick)
+
+    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+        find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+    endif()
+
     find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     Config

=== kstyle/CMakeLists.txt ===
################# includes #################
include_directories(
    animations
    debug
    transitions
)

########### next target ###############
set(oxygen_PART_SRCS
    animations/oxygenanimations.cpp
    animations/oxygenanimationdata.cpp
    animations/oxygenbaseengine.cpp
    animations/oxygenbusyindicatordata.cpp
    animations/oxygenbusyindicatorengine.cpp
    animations/oxygendockseparatordata.cpp
    animations/oxygendockseparatorengine.cpp
    animations/oxygenenabledata.cpp
    animations/oxygengenericdata.cpp
    animations/oxygenheaderviewdata.cpp
    animations/oxygenheaderviewengine.cpp
    animations/oxygenmdiwindowdata.cpp
    animations/oxygenmdiwindowengine.cpp
    animations/oxygenmenubardata.cpp
    animations/oxygenmenubarengine.cpp
    animations/oxygenmenudata.cpp
    animations/oxygenmenuengine.cpp
    animations/oxygenprogressbardata.cpp
    animations/oxygenprogressbarengine.cpp
    animations/oxygenscrollbardata.cpp
    animations/oxygenscrollbarengine.cpp
    animations/oxygenspinboxdata.cpp
    animations/oxygenspinboxengine.cpp
    animations/oxygensplitterengine.cpp
    animations/oxygentabbardata.cpp
    animations/oxygentabbarengine.cpp
    animations/oxygentoolbardata.cpp
    animations/oxygentoolbarengine.cpp
    animations/oxygentoolboxengine.cpp
    animations/oxygenwidgetstatedata.cpp
    animations/oxygenwidgetstateengine.cpp
    debug/oxygenwidgetexplorer.cpp
    transitions/oxygencomboboxdata.cpp
    transitions/oxygencomboboxengine.cpp
    transitions/oxygenlabeldata.cpp
    transitions/oxygenlabelengine.cpp
    transitions/oxygenlineeditdata.cpp
    transitions/oxygenlineeditengine.cpp
    transitions/oxygenstackedwidgetdata.cpp
    transitions/oxygenstackedwidgetengine.cpp
    transitions/oxygentransitiondata.cpp
    transitions/oxygentransitions.cpp
    transitions/oxygentransitionwidget.cpp
    oxygenblurhelper.cpp
    oxygenframeshadow.cpp
    oxygenmdiwindowshadow.cpp
    oxygenmnemonics.cpp
    oxygenpropertynames.cpp
    oxygenshadowhelper.cpp
    oxygensplitterproxy.cpp
    oxygenstyle.cpp
    oxygenstylehelper.cpp
    oxygenstyleplugin.cpp
    oxygenwindowmanager.cpp
)

kconfig_add_kcfg_files(oxygen_PART_SRCS oxygenstyleconfigdata.kcfgc)
add_library(oxygen${QT_MAJOR_VERSION} MODULE ${oxygen_PART_SRCS})

target_link_libraries(oxygen${QT_MAJOR_VERSION} Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Gui Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::DBus Qt${QT_MAJOR_VERSION}::Quick)
target_link_libraries(oxygen${QT_MAJOR_VERSION} KF${QT_MAJOR_VERSION}::GuiAddons KF${QT_MAJOR_VERSION}::Style KF${QT_MAJOR_VERSION}::WindowSystem)
target_link_libraries(oxygen${QT_MAJOR_VERSION} oxygenstyle${QT_MAJOR_VERSION})

if(OXYGEN_HAVE_X11)
    target_link_libraries(oxygen${QT_MAJOR_VERSION} XCB::XCB)
    if (QT_MAJOR_VERSION EQUAL "5")
        target_link_libraries(oxygen5 Qt5::X11Extras)
    else()
        target_link_libraries(oxygen6 Qt6::GuiPrivate)
    endif()
endif()

install(TARGETS oxygen${QT_MAJOR_VERSION} DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/styles/)

if(WIN32)
  # As stated in http://msdn.microsoft.com/en-us/library/4hwaceh6.aspx M_PI only gets defined
  # when using MSVC if _USE_MATH_DEFINES is defined (this is needed for angle.cpp)
  target_compile_definitions(oxygen${QT_MAJOR_VERSION} PRIVATE _USE_MATH_DEFINES _GNU_SOURCE)
endif()

########### install files ###############
install(FILES oxygen.themerc  DESTINATION  ${KDE_INSTALL_DATADIR}/kstyle/themes)

########### subdirectories ###############
if(QT_MAJOR_VERSION EQUAL 6)
    add_subdirectory(config)
endif()
add_subdirectory(demo)

=== liboxygen/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"liboxygenstyleconfig\")

################# configuration #################
configure_file(config-liboxygen.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-liboxygen.h)

################# liboxygenstyle #################
set(oxygenstyle_LIB_SRCS
    oxygenanimation.cpp
    oxygenhelper.cpp
    oxygenitemmodel.cpp
    oxygenshadowcache.cpp
    oxygentileset.cpp)

kconfig_add_kcfg_files(oxygenstyle_LIB_SRCS
    oxygenactiveshadowconfiguration.kcfgc
    oxygeninactiveshadowconfiguration.kcfgc
)

add_library(oxygenstyle${QT_MAJOR_VERSION} ${oxygenstyle_LIB_SRCS})

generate_export_header(oxygenstyle${QT_MAJOR_VERSION} BASE_NAME oxygen EXPORT_FILE_NAME oxygen_export.h)

# NB: although we install no headers, we still need to have a link
#     interface, since other Oxygen targets link to this library
target_link_libraries(oxygenstyle${QT_MAJOR_VERSION}
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Gui
        Qt${QT_MAJOR_VERSION}::Widgets
        KF${QT_MAJOR_VERSION}::ConfigCore
        KF${QT_MAJOR_VERSION}::ConfigWidgets
        KF${QT_MAJOR_VERSION}::WindowSystem
    PRIVATE
        KF${QT_MAJOR_VERSION}::GuiAddons
)

target_include_directories(oxygenstyle${QT_MAJOR_VERSION} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

if(OXYGEN_HAVE_X11)
    target_link_libraries(oxygenstyle${QT_MAJOR_VERSION} PRIVATE XCB::XCB)
    if (QT_MAJOR_VERSION EQUAL "5")
        target_link_libraries(oxygenstyle5 PRIVATE Qt5::X11Extras)
    else()
        target_link_libraries(oxygenstyle6 PRIVATE Qt6::GuiPrivate)
    endif()
endif()

set_target_properties(oxygenstyle${QT_MAJOR_VERSION} PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
if(WIN32)
    # As stated in http://msdn.microsoft.com/en-us/library/4hwaceh6.aspx M_PI only gets defined
    # when using MSVC if _USE_MATH_DEFINES is defined (this is needed for angle.cpp)
    target_compile_definitions(oxygenstyle${QT_MAJOR_VERSION} PRIVATE _USE_MATH_DEFINES _GNU_SOURCE)
endif()
install(TARGETS oxygenstyle${QT_MAJOR_VERSION} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

################# liboxygenstyleconfig #################
set(oxygenstyleconfig_LIB_SRCS
    oxygenanimationconfigitem.cpp
    oxygenbaseanimationconfigwidget.cpp
    oxygengenericanimationconfigitem.cpp
    oxygenshadowconfigwidget.cpp
)

set(oxygenstyleconfig_LIB_FORMS
    ui/oxygenanimationconfigitem.ui
    ui/oxygenanimationconfigwidget.ui
    ui/oxygengenericanimationconfigbox.ui
    ui/oxygenshadowconfigurationui.ui
)

ki18n_wrap_ui(oxygenstyleconfig_LIB_FORMS_HEADERS ${oxygenstyleconfig_LIB_FORMS})

kconfig_add_kcfg_files(oxygenstyleconfig_LIB_SRCS
    oxygenactiveshadowconfiguration.kcfgc
    oxygeninactiveshadowconfiguration.kcfgc
)

add_library(oxygenstyleconfig${QT_MAJOR_VERSION} SHARED
    ${oxygenstyleconfig_LIB_SRCS}
    ${oxygenstyleconfig_LIB_FORMS_HEADERS})

generate_export_header(oxygenstyleconfig${QT_MAJOR_VERSION} BASE_NAME oxygen_config EXPORT_FILE_NAME oxygen_config_export.h)

# NB: although we install no headers, we still need to have a link
#     interface, since other Oxygen targets link to this library
target_link_libraries(oxygenstyleconfig${QT_MAJOR_VERSION}
    PUBLIC
        oxygenstyle${QT_MAJOR_VERSION}
        Qt${QT_MAJOR_VERSION}::Core
        Qt${QT_MAJOR_VERSION}::Gui
        Qt${QT_MAJOR_VERSION}::Widgets
    PRIVATE
        KF${QT_MAJOR_VERSION}::I18n
)

set_target_properties(oxygenstyleconfig${QT_MAJOR_VERSION} PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
install(TARGETS oxygenstyleconfig${QT_MAJOR_VERSION} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
# Note: no headers installed

=== desktoptheme/oxygen/CMakeLists.txt ===
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/metadata.json.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
    @ONLY
)

install(
    FILES colors "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
          plasmarc
    DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/oxygen
)

FILE(GLOB widgets widgets/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH widgets FILES ${widgets})

FILE(GLOB dialogs dialogs/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH dialogs FILES ${dialogs})

FILE(GLOB opaque opaque/widgets/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH opaque/widgets FILES ${opaque})

FILE(GLOB opaque opaque/dialogs/*.svg)
plasma_install_desktoptheme_svgs(oxygen SUBPATH opaque/dialogs FILES ${opaque})

=== debian/changelog ===
oxygen (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:15:49 +0100

oxygen (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:02:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkdecorations3-dev (>= 4:6.4.4~),
+               libkdecorations3-dev (>= 4:6.4.5~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -32,7 +32,7 @@
                libkf6style-dev (>= 6.14.0~),
                libkf6widgetsaddons-dev (>= 6.14.0~),
                libkf6windowsystem-dev (>= 6.14.0~),
-               libplasma-dev (>= 6.4.4~),
+               libplasma-dev (>= 6.4.5~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,

## oxygen 6.4.5+p24.04+vstable+git20251004.0505

=== debian/changelog ===
oxygen (4:6.4.5+p24.04+vstable+git20251004.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:05:52 +0000

oxygen (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:00:52 +0000

oxygen (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:17:31 +0000

oxygen (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:05:44 +0000

oxygen (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:31:53 +0000

oxygen (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:47:13 +0000

oxygen (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:21:46 +0000

oxygen (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:55:28 +0000

oxygen (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:06:54 +0000

oxygen (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:06:34 +0000

oxygen (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:08:36 +0000

oxygen (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:51:51 +0000

oxygen (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:28:11 +0000

oxygen (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:43:00 +1000

oxygen (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:31:38 +0000

oxygen (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:10:38 +0000

oxygen (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:02:29 +0000

oxygen (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:09:18 +0000

oxygen (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:37:35 +0000

oxygen (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:11:57 +0000

oxygen (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:29:59 +0000

oxygen (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:05:39 +0000

oxygen (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:38:57 +0000

## oxygen 6.4.5+p24.04+vstable+git20251017.0814

=== debian/changelog ===
oxygen (4:6.4.5+p24.04+vstable+git20251017.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:14:43 +0000

## oxygen 6.4.5+p24.04+vstable+git20251019.0643

=== debian/changelog ===
oxygen (4:6.4.5+p24.04+vstable+git20251019.0643-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:43:24 +0000

## oxygen 6.4.91

=== debian/changelog ===
oxygen (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 12:20:02 +0200

=== debian/control ===
Source: oxygen
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.25~),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkdecorations3-dev,
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev,
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6style-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/oxygen
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
Rules-Requires-Root: no

Package: kde-style-oxygen-qt5
Architecture: any
Breaks: plasma-desktop-data (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 5 widget theme.

Package: kde-style-oxygen-qt6
Architecture: any
Breaks: kde-style-oxygen-qt5 (<< 4:6.1.0~),
        plasma-desktop-data (<< 4:5.20),
Replaces: kde-style-oxygen-qt5 (<< 4:6.1.0~),
          plasma-desktop-data (<< 4:5.20),
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the Qt 6 widget theme.

Package: kwin-decoration-oxygen
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Multi-Arch: same
Description: KWin decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the KWin decoration and settings modules.

Package: liboxygenstyle5-6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig5-6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: liboxygenstyleconfig5-5,
Replaces: liboxygenstyleconfig5-5,
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 5)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: liboxygenstyle6-6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: style library for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used by the widget theme
 and KWin style.

Package: liboxygenstyleconfig6-6
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: style library configuration for the Oxygen desktop theme (Qt 6)
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the private library used to configure the widget theme
 and KWin style.

Package: plasma-theme-oxygen
Architecture: any
Depends: kde-style-oxygen-qt6 (= ${binary:Version}),
         kwin-decoration-oxygen (= ${binary:Version}),
         oxygen-sounds,
         qml6-module-qtquick,
         ${misc:Depends},
Breaks: plasma-framework (<< 5.115.0-6~),
Replaces: plasma-framework (<< 5.115.0-6~),
Description: Look-and-feel for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This package contains the meta settings for the Oxygen theme.
